### Method

# Fwupd Device set_update_error

since: 0.9.8

#### Declaration [src]

    void
    fwupd_device_set_update_error (
      FwupdDevice* self,
      const gchar* update_error
    )

#### Description [src]

Sets the update error string.

Available since: 0.9.8

Sets property | `Fwupd.Device:update-error`

#### Parameters

`update_error`

  Type: `const gchar*`

  The update error string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.